<header>
  <h1 class="top-appear">
    {{ 'shared.form.header.title.' + (isUpdate ? 'update' : 'create') | translate: { resource: ('shared.resources.author' | translate) } }}
  </h1>
</header>
<section>
  <form *ngIf="formGroup" [formGroup]="formGroup" (ngSubmit)="submit()" @scaleFade>
    <div fxLayout.xs="column" fxLayout="row" fxLayoutGap="1rem">
      <mat-form-field appearance="fill">
        <mat-label>{{ 'gestion.referentials.authors.form.content.fields.firstname' | translate }}</mat-label>
        <input type="text" matInput formControlName="firstname" required sfl-focus />
        <mat-error>{{ 'shared.form.errors.required' | translate }}</mat-error>
      </mat-form-field>

      <mat-form-field appearance="fill">
        <mat-label>{{ 'gestion.referentials.authors.form.content.fields.lastName' | translate }}</mat-label>
        <input type="text" matInput formControlName="lastName" required />
        <mat-error>{{ 'shared.form.errors.required' | translate }}</mat-error>
      </mat-form-field>
    </div>

    <button type="submit" sfl-button [disabled]="isSubmit">
      {{ 'shared.form.actions.' + (isUpdate ? 'update' : 'create') | translate }}
    </button>
  </form>
</section>
